#
# spec file for ASP primaire program
# (c) 2004 IMC
#

# Existing macros ?
%define _htmldir /var/www/html

# Basic macros
%define grade    Pri
%define gradeid  pri
%define withswf  0
%define name     asp-not_%{gradeid}_demo_noswf
%define version  1.0.0
%define release  5mdk
%define titlePrg Mémento
%define titleEva Tests d'évaluation
%define abstract Database for ASP program

# Standard EduPack menu-file macros
%define m_teacher  00. Poste de travail de l'enseignant
%define m_mat_soft 10. Maternelle : Logiciels
%define m_mat_ps   11. Maternelle : Ressources PS
%define m_mat_ms   12. Maternelle : Ressources MS
%define m_mat_gs   13. Maternelle : Ressources GS
%define m_pri_soft 20. École primaire : Logiciels
%define m_pri_cp   21. École primaire : Ressources CP
%define m_pri_ce1  22. École primaire : Ressources CE1
%define m_pri_ce2  23. École primaire : Ressources CE2
%define m_pri_cm1  24. École primaire : Ressources CM1
%define m_pri_cm2  25. École primaire : Ressources CM2
%define m_col_soft 30. Collège : Logiciels
%define m_col_6    31. Collège : Ressources 6e
%define m_col_5    32. Collège : Ressources 5e
%define m_col_4    33. Collège : Ressources 4e
%define m_col_3    34. Collège : Ressources 3e
%define m_lyc_soft 40. Lycée : Logiciels
%define m_lyc_2    41. Lycée : Ressources Seconde
%define m_lyc_1    42. Lycée : Ressources Première
%define m_lyc_T    43. Lycée : Ressources Terminale
%define m_mmedia   Multimédia
%define m_office   Bureautique
%define m_organize Organisation
%define m_sciences Sciences
%define m_web_use  Internet : Utilisation
%define m_web_cre  Internet : Création
%define m_M        Mathématiques
%define m_MS       Mathématiques série S
%define m_ME       Mathématiques série ES
%define m_ML       Mathématiques série L
%define m_F        Français
%define m_P        Physique
%define m_C        Chimie
%define m_PC       Physique - Chimie
%define m_T        S.V.T.
%define m_W        Enseignement scientifique
%define m_H        Histoire
%define m_G        Géographie
%define m_I        Philosophie
%define m_E        Éducation civique
%define m_D        Découverte du monde
%define m_SE       S.E.S.
%define m_A        Anglais
%define m_AL       Allemand
%define m_ES       Espagnol
%define m_edupack  PACKS Éducatifs libres


Name:            %name
Summary:         %abstract
Version:         %version
Release:         %release
License:         GFDL
Group:           Education
URL:             http://www.ruedesecoles.com/EduPack
Buildarch:       noarch
BuildRoot:       %{_tmppath}/%{name}-buildroot
Requires:        asp
Provides:        asp-not_%{gradeid}_10m asp-not_%{gradeid}_7m
%if %withswf
Requires:        FlashPlayer
%endif

Source0:         http://www.ruedesecoles.com/EduPack/%name-%version.tar.bz2

%description
Database for ASP primaire program.

%prep

%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot/%_liconsdir
mkdir -p %buildroot/%_iconsdir
mkdir -p %buildroot/%_miconsdir
mkdir -p %buildroot/%_htmldir/Asp/Data/Base
%if %withswf
cp -r Swf %buildroot/%_htmldir/Asp/
%endif
install -m 644 Mysql/*.sql  %buildroot/%_htmldir/Asp/Data/Base/

# Menu icons
install -m 644 Icons/asp-prog_%{gradeid}48.png %buildroot/%_liconsdir/asp-prog_%gradeid.png
install -m 644 Icons/asp-eval_%{gradeid}48.png %buildroot/%_liconsdir/asp-eval_%gradeid.png
install -m 644 Icons/asp-prog_%{gradeid}32.png %buildroot/%_iconsdir/asp-prog_%gradeid.png
install -m 644 Icons/asp-eval_%{gradeid}32.png %buildroot/%_iconsdir/asp-eval_%gradeid.png
install -m 644 Icons/asp-prog_%{gradeid}16.png %buildroot/%_miconsdir/asp-prog_%gradeid.png
install -m 644 Icons/asp-eval_%{gradeid}16.png %buildroot/%_miconsdir/asp-eval_%gradeid.png

# Menu entries
mkdir -p %buildroot/%_menudir/simplified
cat > %buildroot/%_menudir/%name << EOF
?package(%name): command="konqueror --profile webbrowsing http://localhost/Asp/Application/EduPack/program.php?Module=10_M" \
needs="X11" icon="asp-prog_%gradeid.png" section="%m_edupack/%m_pri_ce1/%m_M" title="%titlePrg"
?package(%name): command="konqueror --profile webbrowsing http://localhost/Asp/Application/EduPack/eval.php?Module=10_M" \
needs="X11" icon="asp-eval_%gradeid.png" section="%m_edupack/%m_pri_ce1/%m_M" title="%titleEva"

?package(%name): command="konqueror --profile webbrowsing http://localhost/Asp/Application/EduPack/program.php?Module=7_M" \
needs="X11" icon="asp-prog_%gradeid.png" section="%m_edupack/%m_pri_cm2/%m_M" title="%titlePrg"
?package(%name): command="konqueror --profile webbrowsing http://localhost/Asp/Application/EduPack/eval.php?Module=7_M" \
needs="X11" icon="asp-eval_%gradeid.png" section="%m_edupack/%m_pri_cm2/%m_M" title="%titleEva"
EOF

cp  %buildroot/%_menudir/%name %buildroot/%_menudir/simplified/.

%pre
# if mysqld is not running, start it
echo "Check if mysqld is running"
if ! test -f /var/lib/mysql/mysql.sock
then /sbin/service mysql start
sleep 2
fi


%post
%update_menus
%_bindir/mysqladmin create Notions%grade
%_bindir/mysql Notions%grade < %_htmldir/Asp/Data/Base/notions_%gradeid"_clip.sql"
%_bindir/mysql Notions%grade < %_htmldir/Asp/Data/Base/notions_%gradeid"_glossary.sql"
%_bindir/mysql Notions%grade < %_htmldir/Asp/Data/Base/notions_%gradeid"_image.sql"
%_bindir/mysql Notions%grade < %_htmldir/Asp/Data/Base/notions_%gradeid"_level.sql"
%_bindir/mysql Notions%grade < %_htmldir/Asp/Data/Base/notions_%gradeid"_link.sql"
%_bindir/mysql Notions%grade < %_htmldir/Asp/Data/Base/notions_%gradeid"_sheet.sql"
%_bindir/mysql Notions%grade < %_htmldir/Asp/Data/Base/notions_%gradeid"_test.sql"
rm %_htmldir/Asp/Data/Base/{notions_%gradeid"_clip",notions_%gradeid"_glossary",notions_%gradeid"_image",notions_%gradeid"_level"}.sql
rm %_htmldir/Asp/Data/Base/{notions_%gradeid"_link",notions_%gradeid"_sheet",notions_%gradeid"_test"}.sql
%if ! %withswf
%_bindir/mysql Notions%grade -e "UPDATE image SET Image='GIF89a' WHERE ImageId LIKE '%SON.GIF'"
%endif

%preun
# if mysqld is not running, start it
echo "Check if mysqld is running"
if ! test -f /var/lib/mysql/mysql.sock
then /sbin/service mysql start
sleep 2
fi


%postun
%clean_menus
%_bindir/mysqladmin --force drop Notions%grade

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%_htmldir/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%_menudir/%name
%_menudir/simplified/%name

%changelog
* Thu Apr 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-5mdk
- add simplified menu

* Fri Apr 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-4mdk
- change script test

* Thu Apr 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-3mdk
- check if mysqld is running


* Mon Apr 05 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 1.0.0-2mdk
- error menu fixed

* Fri Apr 02 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 1.0.0-1mdk
- initial release
